## pacparser 1.0.9

=== Makefile ===
# Copyright (C) 2007 Manu Garg.
# Author: Manu Garg <manugarg@gmail.com>
#
# Makefile for pacparser. Please read README file included with this package
# for more information about pacparser.
#
# pacparser is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 3 of the License, or (at your option) any later version.

# pacparser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

OS_ARCH := $(subst /,_,$(shell uname -s | sed /\ /s//_/))

ifeq ($(OS_ARCH),Linux)
  SO_SUFFIX = so
  MKSHLIB = $(CC) -shared
  LDFLAGS += -Wl,-soname=$(LIBRARY)
endif
ifeq ($(OS_ARCH),Darwin)
  SO_SUFFIX = dylib
  MKSHLIB = $(CC) -dynamiclib -framework System
endif

LIB_VER = 1
CFLAGS = -g -DXP_UNIX -Wall
SHFLAGS = -fPIC

ifndef PYTHON
  PYTHON = python
endif

NOSO = clean

ifndef SM_LIB
ifeq (yes, $(shell [ -e /usr/lib/libjs.$(SO_SUFFIX) -o -e /usr/local/lib/libjs.$(SO_SUFFIX) ] && echo yes))
  SM_LIB = -ljs
else
  ifeq (yes, $(shell [ -e /opt/local/lib/libjs.$(SO_SUFFIX) ] && echo yes))
    SM_LIB = -ljs
    LDFLAGS += -L/opt/local/lib
  else
    ifeq (yes, $(shell [ -e /usr/lib/libsmjs.$(SO_SUFFIX) ] && echo yes))
      SM_LIB = -lsmjs
    else
      ifeq (yes, $(shell [ -e /usr/lib/libmozjs.$(SO_SUFFIX) ] && echo yes))
        SM_LIB = -lmozjs
      endif
    endif
  endif
endif
endif

ifndef SM_INC
ifeq (yes, $(shell [ -e /usr/local/include/js ] && echo yes))
  SM_INC = -I/usr/local/include/js
else
  ifeq (yes, $(shell [ -e /opt/local/include/js ] && echo yes))
    SM_INC = -I/opt/local/include/js
  else
    ifeq (yes, $(shell [ -e /usr/include/smjs ] && echo yes))
      SM_INC = -I/usr/include/smjs
    else
      ifeq (yes, $(shell [ -e /usr/include/mozjs ] && echo yes))
        SM_INC = -I/usr/include/mozjs
      endif
    endif
  endif
endif
endif

ifeq ($(NOSO), $(filter-out $(MAKECMDGOALS),$(NOSO)))
  ifndef SM_LIB
  $(error SpiderMonkey library not found. See 'README_SM' file.)
  else
    LDFLAGS += ${SM_LIB}
  endif
  ifdef SM_INC
    CFLAGS += ${SM_INC}
  else
    $(error SpiderMonkey api not found. See 'README_SM' file.)
  endif
endif

LIBRARY = libpacparser.$(SO_SUFFIX).$(LIB_VER)
PREFIX ?= /usr
LIB_PREFIX = $(DESTDIR)$(PREFIX)/lib
INC_PREFIX = $(DESTDIR)$(PREFIX)/include
BIN_PREFIX = $(DESTDIR)$(PREFIX)/bin
MAN_PREFIX = $(DESTDIR)$(PREFIX)/share/man

.PHONY: clean pymod install-pymod
all: pactester

pacparser.o: pacparser.c pac_utils.h
	$(CC) $(CFLAGS) $(SHFLAGS) -c pacparser.c -o pacparser.o
	touch pymod/pacparser_o_buildstamp

$(LIBRARY): pacparser.o
	$(MKSHLIB) -o $(LIBRARY) pacparser.o $(LDFLAGS)

libpacparser.$(SO_SUFFIX): $(LIBRARY)
	ln -sf $(LIBRARY) libpacparser.$(SO_SUFFIX)

pactester: pactester.c pacparser.h libpacparser.$(SO_SUFFIX)
	$(CC) pactester.c -o pactester -lpacparser -L. -I.

install: all
	install -d $(LIB_PREFIX) $(INC_PREFIX) $(BIN_PREFIX)
	install -m 644 $(LIBRARY) $(LIB_PREFIX)/$(LIBRARY)
	ln -sf $(LIBRARY) $(LIB_PREFIX)/libpacparser.$(SO_SUFFIX)
	install -m 755 pactester $(BIN_PREFIX)/pactester
	install -m 644 pacparser.h $(INC_PREFIX)/pacparser.h
	# install pactester manpages
	install -d $(MAN_PREFIX)/man1/
	(test -d docs && install -m 644 docs/*.1 $(MAN_PREFIX)/man1/) || /bin/true
	# install pacparser manpages
	install -d $(MAN_PREFIX)/man3/
	(test -d docs && install -m 644 docs/*.3 $(MAN_PREFIX)/man3/) || /bin/true
	# install html docs
	install -d $(DESTDIR)$(PREFIX)/share/doc/pacparser/html/
	(test -d docs/html && install -m 644 docs/html/* $(DESTDIR)$(PREFIX)/share/doc/pacparser/html/) || /bin/true
	# install examples
	install -d $(DESTDIR)$(PREFIX)/share/doc/pacparser/examples/
	(test -d examples && install -m 644 examples/* $(DESTDIR)$(PREFIX)/share/doc//pacparser/examples/) || /bin/true

# Targets to build python module
pymod: pacparser.o pacparser.h
	cd pymod && LDFLAGS="$(LDFLAGS)" SHFLAGS="$(SHFLAGS)" MKSHLIB="$(MKSHLIB)" $(PYTHON) setup.py

install-pymod: pymod
	cd pymod && LIB_PREFIX="$(LIB_PREFIX)" $(PYTHON) setup.py install

clean:
	rm -f libpacparser.$(SO_SUFFIX) $(LIBRARY) pacparser.o pactester pymod/pacparser_o_buildstamp
	cd pymod && python setup.py clean

=== pymod/Makefile ===
# Copyright (C) 2007 Manu Garg.
# Author: Manu Garg <manugarg@gmail.com>
#
# Makefile for pacparser. Please read README file included with this package
# for more information about pacparser.
#
# pacparser is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# pacparser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

CFLAGS = -g -DXP_UNIX -Wall -I..

ifndef PY_VER
  PY_VER = 2.5
endif

ifndef PY_INC
ifeq (yes, $(shell [ -e /usr/include/python$(PY_VER)/Python.h ] && echo yes))
  PY_INC = -I/usr/include/python$(PY_VER)
else
  $(error Python headers not found in /usr/include/python$(PY_VER). Please \
	  install python headers. Set PY_INC variable to the location of \
	  python headers, if headers are not installed in the standard \
	  location. e.g. PY_INC=/usr/local/include/python$(PY_VER) make)
endif
endif

CFLAGS += $(PY_INC)
LDFLAGS += -lpython$(PY_VER)

all: _pacparser$(PY_VER).so

pacparser_py$(PY_VER).o: pacparser_py.c
	$(CC) $(CFLAGS) $(SHFLAGS) -c pacparser_py.c -o pacparser_py$(PY_VER).o

_pacparser$(PY_VER).so: pacparser_py$(PY_VER).o pacparser_o_buildstamp
	$(MKSHLIB) $(SHFLAGS) -o _pacparser$(PY_VER).so ../pacparser.o pacparser_py$(PY_VER).o $(LDFLAGS)

install: all
	install -d $(LIB_PREFIX)/python$(PY_VER)/site-packages/pacparser
	install -m 644 __init__.py $(LIB_PREFIX)/python$(PY_VER)/site-packages/pacparser/
	install -m 644 _pacparser$(PY_VER).so $(LIB_PREFIX)/python$(PY_VER)/site-packages/pacparser/_pacparser.so

clean:
	rm -f *.o *.so

## pacparser 1.2.6

=== src/Makefile ===
# Copyright (C) 2007 Manu Garg.
# Author: Manu Garg <manugarg@gmail.com>
#
# Makefile for pacparser. Please read README file included with this package
# for more information about pacparser.
#
# pacparser is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 3 of the License, or (at your option) any later version.

# pacparser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

# This file is not part of the source code repository. It's generated by the
# packaging script.
-include version.mk

VERSION ?= $(shell hg parents | awk 'NR==1 {print $$2}')

PREFIX ?= /usr
OS_ARCH := $(subst /,_,$(shell uname -s | sed /\ /s//_/))

LIBRARY_NAME = libpacparser
LIB_VER = 1

# This Makefile should at least work on Linux and Mac OS X. It should work on
# most other types of Unix systems too, but I have not put any conscious effort
# for that.
#
# Set variables according to Linux.
SO_SUFFIX = so
LIBRARY = $(LIBRARY_NAME).$(SO_SUFFIX).$(LIB_VER)
MKSHLIB = $(CC) -shared
LIB_OPTS = -Wl,-soname=$(LIBRARY) -Wl,-exclude-libs=libjs.a
SHFLAGS = -fPIC
SMCFLAGS = -DHAVE_VA_COPY -DVA_COPY=__va_copy

ifeq ($(OS_ARCH),Darwin)
  SO_SUFFIX = dylib
  LIBRARY = $(LIBRARY_NAME).$(LIB_VER).$(SO_SUFFIX)
  MKSHLIB = $(CC) -dynamiclib -framework System
  LIB_OPTS = -install_name $(PREFIX)/lib/$(notdir $@)
  SHFLAGS =
  SMCFLAGS =
endif

CFLAGS = -g -DXP_UNIX -Wall -DVERSION=$(VERSION)

ifndef PYTHON
  PYTHON = python
endif

# Spidermonkey library.
CFLAGS += -Ispidermonkey/js/src
LDFLAGS += -lm

LIBRARY_LINK = $(LIBRARY_NAME).$(SO_SUFFIX)
PREFIX := $(DESTDIR)$(PREFIX)
LIB_PREFIX = $(PREFIX)/lib
INC_PREFIX = $(PREFIX)/include
BIN_PREFIX = $(PREFIX)/bin
MAN_PREFIX = $(PREFIX)/share/man

.PHONY: clean pymod install-pymod
all: testpactester

spidermonkey/js/src: spidermonkey/js-?.?.?.tar.gz
	tar xzvf spidermonkey/js-?.?.?.tar.gz -C spidermonkey

jsapi_buildstamp: spidermonkey/js/src
	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jsapi
	touch jsapi_buildstamp

libjs.a: spidermonkey/js/src
	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jslib

pacparser.o: pacparser.c pac_utils.h pacparser.h jsapi_buildstamp
	$(CC) $(CFLAGS) $(SHFLAGS) -c pacparser.c -o pacparser.o
	touch pymod/pacparser_o_buildstamp

$(LIBRARY): pacparser.o libjs.a
	$(MKSHLIB) $(LIB_OPTS) -o $(LIBRARY) pacparser.o libjs.a $(LDFLAGS)

$(LIBRARY_LINK): $(LIBRARY)
	ln -sf $(LIBRARY) $(LIBRARY_LINK)

pactester: pactester.c pacparser.h $(LIBRARY_LINK)
	$(CC) pactester.c -o pactester -lpacparser -L. -I.

testpactester: pactester
	echo "Running tests for pactester."
	../tests/runtests.sh

install: all
	install -d $(LIB_PREFIX) $(INC_PREFIX) $(BIN_PREFIX)
	install -m 644 $(LIBRARY) $(LIB_PREFIX)/$(LIBRARY)
	ln -sf $(LIBRARY) $(LIB_PREFIX)/$(LIBRARY_LINK)
	install -m 755 pactester $(BIN_PREFIX)/pactester
	install -m 644 pacparser.h $(INC_PREFIX)/pacparser.h
	# install pactester manpages
	install -d $(MAN_PREFIX)/man1/
	(test -d ../docs && install -m 644 ../docs/*.1 $(MAN_PREFIX)/man1/) || true
	# install pacparser manpages
	install -d $(MAN_PREFIX)/man3/
	(test -d ../docs && install -m 644 ../docs/*.3 $(MAN_PREFIX)/man3/) || true
	# install html docs
	install -d $(PREFIX)/share/doc/pacparser/html/
	(test -d ../docs/html && install -m 644 ../docs/html/* $(PREFIX)/share/doc/pacparser/html/) || true
	# install examples
	install -d $(PREFIX)/share/doc/pacparser/examples/
	(test -d ../examples && install -m 644 ../examples/* $(PREFIX)/share/doc//pacparser/examples/) || true

# Targets to build python module
pymod: pacparser.o pacparser.h libjs.a
	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py build
	$(PYTHON) ../tests/runtests.py

install-pymod: pymod
	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py install --root="$(DESTDIR)/" $(EXTRA_ARGS)

clean:
	rm -f $(LIBRARY_LINK) $(LIBRARY) libjs.a pacparser.o pactester pymod/pacparser_o_buildstamp jsapi_buildstamp
	cd pymod && python setup.py clean
	cd spidermonkey && $(MAKE) clean

## pacparser 1.2.7

=== debian/changelog ===
pacparser (1.2.7-1) unstable; urgency=low

  * Imported Upstream version 1.2.7
  * Use source format 3.0 (quilt)
  * Add patch to skip the dns related post-build test, as network is
    assumed to be not available in the debian build enviorment.

 -- Manu Garg <manugarg@gmail.com>  Wed, 16 Mar 2011 09:20:19 +0530

pacparser (1.2.6-3) unstable; urgency=low

  * debian/control: transfer maintenance to Manu Garg, with myself as an
    uploader

 -- Andrew Pollock <apollock@debian.org>  Fri, 07 Jan 2011 22:26:04 -0800

pacparser (1.2.6-2) unstable; urgency=low

  * debian/control: rename libpacparser1-dev to libpacparser-dev

 -- Andrew Pollock <apollock@debian.org>  Fri, 26 Nov 2010 11:07:36 -0800

pacparser (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Fri, 17 Sep 2010 21:23:56 -0700

pacparser (1.2.5-1) unstable; urgency=low

  * New upstream release
  * debian/libpacparser1.manpages: add pactester manpage
  * debian/control: update description for libpacparser1 to mention inclusion
    of pactester

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Sep 2010 13:36:31 -0700

pacparser (1.2.2-2) unstable; urgency=low

  * debian/libpacparser1.install: add pactester to the package

 -- Andrew Pollock <apollock@debian.org>  Sat, 11 Sep 2010 09:02:50 -0700

pacparser (1.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: bumped Standards-Version (no changes)
  * debian/control: remove build dependency on libmozjs-dev

 -- Andrew Pollock <apollock@debian.org>  Fri, 10 Sep 2010 21:54:24 -0700

pacparser (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Andrew Pollock <apollock@debian.org>  Tue, 07 Sep 2010 09:39:05 -0700

pacparser (1.0.9-2) unstable; urgency=low

  [ Luca Falavigna ]
  * Do not rely on a particular Python when installing extension, fix
    FTBFS with Python 2.6 as default (Closes: #571502).
  * Build-depend on python-support and invoke dh_pysupport in rules to
    allow byte-compilation of Python files (Closes: #566050).

  [ Andrew Pollock ]
  * Preempt NMU
  * debian/control: bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Fri, 05 Mar 2010 12:46:51 -0800

pacparser (1.0.9-1) unstable; urgency=low

  * Initial release (Closes: #554844)

 -- Andrew Pollock <apollock@debian.org>  Thu, 03 Dec 2009 10:01:55 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 

	$(MAKE) -C src
	$(MAKE) -C src pymod
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	$(MAKE) -C src clean

	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the arch part of the package into 
	# debian/tmp.
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb

	dh_install -s --autodest
	dh_pysupport -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a -XREADME.win32
	dh_installexamples -plibpacparser1 -X*.py
	dh_installexamples -ppython-pacparser -X*.c
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -X_pacparser.so
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## pacparser 1.3.0

=== src/Makefile ===
--- 
+++ 
@@ -43,12 +43,16 @@
 SMCFLAGS = -DHAVE_VA_COPY -DVA_COPY=__va_copy
 
 ifeq ($(OS_ARCH),Darwin)
+  MAC_MINOR_VERSION := $(shell sw_vers -productVersion | cut -d. -f2)
+  MAC_GT_5 := $(shell [ $(MAC_MINOR_VERSION) -le 5 ] && echo false)
   SO_SUFFIX = dylib
   LIBRARY = $(LIBRARY_NAME).$(LIB_VER).$(SO_SUFFIX)
   MKSHLIB = $(CC) -dynamiclib -framework System
   LIB_OPTS = -install_name $(PREFIX)/lib/$(notdir $@)
   SHFLAGS =
-  SMCFLAGS =
+  ifeq ($(MAC_GT_5),false)
+    SMCFLAGS =
+  endif
 endif
 
 CFLAGS = -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
@@ -73,6 +77,7 @@
 
 spidermonkey/js/src: spidermonkey/js-?.?.?.tar.gz
 	tar xzvf spidermonkey/js-?.?.?.tar.gz -C spidermonkey
+	sed -i -e 's:\(shell uname -s | sed /\\ /s//_/\):\1 | sed s,GNU.*,Linux,:g' spidermonkey/js/src/config.mk
 
 jsapi_buildstamp: spidermonkey/js/src
 	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jsapi
@@ -96,7 +101,7 @@
 
 testpactester: pactester
 	echo "Running tests for pactester."
-	../tests/runtests.sh
+	NO_INTERNET=$(NO_INTERNET) ../tests/runtests.sh
 
 install: all
 	install -d $(LIB_PREFIX) $(INC_PREFIX) $(BIN_PREFIX)
@@ -127,5 +132,5 @@
 
 clean:
 	rm -f $(LIBRARY_LINK) $(LIBRARY) libjs.a pacparser.o pactester pymod/pacparser_o_buildstamp jsapi_buildstamp
-	cd pymod && python setup.py clean
+	cd pymod && python setup.py clean --all
 	cd spidermonkey && $(MAKE) clean

=== debian/changelog ===
pacparser (1.3.0-2) unstable; urgency=low

  * debian/control: Bumped Standards-Version (no changes)

 -- Andrew Pollock <apollock@debian.org>  Mon, 13 Feb 2012 09:23:41 -0800

pacparser (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0

 -- Manu Garg <manugarg@gmail.com>  Sat, 10 Sep 2011 23:33:07 +0530

pacparser (1.2.9-1) unstable; urgency=low

  * Imported Upstream version 1.2.9
  * Fix the typo in last debian/changelog entry.
  * Add a config file for git-buildpackage to make it build in
    ../build-area directory so that original source remains clean.

 -- Manu Garg <manugarg@gmail.com>  Wed, 04 May 2011 23:22:50 +0530

=== debian/control ===
Source: pacparser
Section: libs
Priority: extra
Maintainer: Manu Garg <manugarg@gmail.com>
Uploaders: Andrew Pollock <apollock@debian.org>
Build-Depends: debhelper (>= 5), python-dev, python-support
Standards-Version: 3.9.2

Package: libpacparser1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library to parse proxy auto-config files
 a library to parse proxy auto-config (PAC) files. Proxy auto-config files are
 a vastly used proxy configuration method these days. Web browsers can use a PAC
 file to determine which proxy server to use or whether to go direct for a given
 URL. PAC files are written in JavaScript and can be programmed to return
 different proxy methods (e.g. "PROXY proxy1:port; DIRECT") depending upon URL,
 source IP address, protocol, time of the day etc. PAC files introduce a lot of
 possibilities.
 .
 Needless to say, PAC files are now a widely accepted method for proxy
 configuration management and companies all over are using them in corporate
 environments. Almost all popular web browsers support PAC files. The idea
 behind pacparser is to make it easy to add this PAC file parsing capability to
 any program (C and Python supported right now).
 .
 This package contains the shared library, and pactester, a tool for testing
 PAC files

Package: libpacparser-dev
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libpacparser1-dev
Conflicts: libpacparser1-dev
Architecture: any
Description: library to parse proxy auto-config files (development files)
 a library to parse proxy auto-config (PAC) files. Proxy auto-config files are
 a vastly used proxy configuration method these days. Web browsers can use a PAC
 file to determine which proxy server to use or whether to go direct for a given
 URL. PAC files are written in JavaScript and can be programmed to return
 different proxy methods (e.g. "PROXY proxy1:port; DIRECT") depending upon URL,
 source IP address, protocol, time of the day etc. PAC files introduce a lot of
 possibilities.
 .
 Needless to say, PAC files are now a widely accepted method for proxy
 configuration management and companies all over are using them in corporate
 environments. Almost all popular web browsers support PAC files. The idea
 behind pacparser is to make it easy to add this PAC file parsing capability to
 any program (C and Python supported right now).
 .
 This package contains the header files to build against the shared library.

Package: python-pacparser
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Python module to parse proxy auto-config files
 a library to parse proxy auto-config (PAC) files. Proxy auto-config files are
 a vastly used proxy configuration method these days. Web browsers can use a PAC
 file to determine which proxy server to use or whether to go direct for a given
 URL. PAC files are written in JavaScript and can be programmed to return
 different proxy methods (e.g. "PROXY proxy1:port; DIRECT") depending upon URL,
 source IP address, protocol, time of the day etc. PAC files introduce a lot of
 possibilities.
 .
 Needless to say, PAC files are now a widely accepted method for proxy
 configuration management and companies all over are using them in corporate
 environments. Almost all popular web browsers support PAC files. The idea
 behind pacparser is to make it easy to add this PAC file parsing capability to
 any program (C and Python supported right now).
 .
 This package contains the Python bindings for the shared library

=== debian/rules ===
--- 
+++ 
@@ -40,8 +40,8 @@
 build-arch: build-arch-stamp
 build-arch-stamp: configure-stamp 
 
-	$(MAKE) -C src
-	$(MAKE) -C src pymod
+	NO_INTERNET=yes $(MAKE) -C src
+	NO_INTERNET=yes $(MAKE) -C src pymod
 	touch $@
 
 build-indep: build-indep-stamp
@@ -79,8 +79,8 @@
 
 	# Add here commands to install the arch part of the package into 
 	# debian/tmp.
-	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
-	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb
+	NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
+	NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb
 
 	dh_install -s --autodest
 	dh_pysupport -s

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://code.google.com/p/pacparser/downloads/list http://pacparser.googlecode.com/files/pacparser-(\d+)\.(\d+)\.(\d+)\.tar\.gz

## pacparser 1.3.6

=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 # packaging script.
 -include version.mk
 
-VERSION ?= $(shell hg parents | awk 'NR==1 {print $$2}')
+VERSION ?= $(shell git describe --always --tags --candidate=100)
 
 PREFIX ?= /usr
 OS_ARCH := $(subst /,_,$(shell uname -s | sed /\ /s//_/))
@@ -63,7 +63,6 @@
 
 # Spidermonkey library.
 CFLAGS += -Ispidermonkey/js/src
-LDFLAGS += -lm
 
 LIBRARY_LINK = $(LIBRARY_NAME).$(SO_SUFFIX)
 PREFIX := $(DESTDIR)$(PREFIX)
@@ -91,17 +90,20 @@
 	touch pymod/pacparser_o_buildstamp
 
 $(LIBRARY): pacparser.o libjs.a
-	$(MKSHLIB) $(LIB_OPTS) -o $(LIBRARY) pacparser.o libjs.a $(LDFLAGS)
+	$(MKSHLIB) $(CFLAGS) $(LDFLAGS) $(LIB_OPTS) -o $(LIBRARY) pacparser.o libjs.a -lm
 
 $(LIBRARY_LINK): $(LIBRARY)
 	ln -sf $(LIBRARY) $(LIBRARY_LINK)
 
 pactester: pactester.c pacparser.h $(LIBRARY_LINK)
-	$(CC) pactester.c -o pactester -lpacparser -L. -I.
+	$(CC) $(CFLAGS) $(LDFLAGS) pactester.c -o pactester -lpacparser -L. -I.
 
 testpactester: pactester
 	echo "Running tests for pactester."
 	NO_INTERNET=$(NO_INTERNET) ../tests/runtests.sh
+
+docs:
+	../tools/generatedocs.sh
 
 install: all
 	install -d $(LIB_PREFIX) $(INC_PREFIX) $(BIN_PREFIX)
@@ -111,10 +113,10 @@
 	install -m 644 pacparser.h $(INC_PREFIX)/pacparser.h
 	# install pactester manpages
 	install -d $(MAN_PREFIX)/man1/
-	(test -d ../docs && install -m 644 ../docs/*.1 $(MAN_PREFIX)/man1/) || true
+	(test -d ../docs && install -m 644 ../docs/man/man1/*.1 $(MAN_PREFIX)/man1/) || true
 	# install pacparser manpages
 	install -d $(MAN_PREFIX)/man3/
-	(test -d ../docs && install -m 644 ../docs/*.3 $(MAN_PREFIX)/man3/) || true
+	(test -d ../docs && install -m 644 ../docs/man/man3/*.3 $(MAN_PREFIX)/man3/) || true
 	# install html docs
 	install -d $(PREFIX)/share/doc/pacparser/html/
 	(test -d ../docs/html && install -m 644 ../docs/html/* $(PREFIX)/share/doc/pacparser/html/) || true

=== src/spidermonkey/Makefile ===
# Copyright (C) 2007 Manu Garg.
# Author: Manu Garg <manugarg@gmail.com>
#
# Makefile for pacparser. Please read README file included with this package
# for more information about pacparser.
#
# pacparser is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 3 of the License, or (at your option) any later version.

# pacparser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

# Include config.mk to get the variable $(OBJDIR).
# We need to create $(OBJDIR) first to be able to build libjs.a alone.

ifneq ($(MAKECMDGOALS),clean)
  DEPTH = js/src
  include js/src/config.mk
endif

jsapi: js-buildstamp

jslib: js-buildstamp
	cd js/src
	find . -name "libjs.a" -exec cp {} .. \;

js-buildstamp:
	mkdir -p js/src/$(OBJDIR)
	CFLAGS="$(SMCFLAGS)" $(MAKE) -C js/src -f Makefile.ref libjs.a
	find js/src -name "jsautocfg.h" -exec cp {} js/src \;
	touch js-buildstamp

clean:
	rm -rf js-buildstamp
	rm -rf js

=== debian/changelog ===
pacparser (1.3.6-1.2ubuntu1) jammy; urgency=medium

  * Turn debhelper up to 11, see #965765
  * Do not try to install examples in python-pacparser,
    which was dropped

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 23 Mar 2022 10:35:14 +0000

pacparser (1.3.6-1.2build4) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:31:15 +0000

pacparser (1.3.6-1.2build3) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:57:16 +0000

pacparser (1.3.6-1.2build2) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:41:06 +0100

pacparser (1.3.6-1.2build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:53:21 +0200

pacparser (1.3.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drup python-pacparser - obsolete, no rdepends (Closes: #937229)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 02 Mar 2020 00:22:40 -0500

pacparser (1.3.6-1.1) unstable; urgency=medium

  * Non-maintainer upload. (Closes: #809466)
  * Loop over supported python3 versions in build/install rules to add support
    for multiple python3 versions
  * Add removal of python build directory to clean rule
  * Slightly change python3-pacparser descriptions to distinguish from python-
    pacparser
  * Add libpacparser1 to libpacparser-dev depends for proper shared library
    package operation

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Jan 2016 14:07:26 -0500

pacparser (1.3.6-1) unstable; urgency=medium

  * Sync to upstream version 1.3.6.
  * Fix debian/copyright.
  * List of upstream changes: https://goo.gl/eJrQRB

 -- Manu Garg <manugarg@gmail.com>  Fri, 04 Sep 2015 12:27:18 -0700

pacparser (1.3.5-1) unstable; urgency=low

  * Sync to upstream version 1.3.5.
  * Apply a patch on top of that for debian hardening and document fixes.
  * Complete list of changes in upstream: https://github.com/pacparser/pacparser/releases

 -- Manu Garg <manugarg@gmail.com>  Sun, 30 Aug 2015 23:33:07 -0700

pacparser (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786034)

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 20 Aug 2015 03:26:57 +0500

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pacparser
 Section: libs
 Priority: extra
-Maintainer: Manu Garg <manugarg@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Manu Garg <manugarg@gmail.com>
 Uploaders: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper (>= 5), python-dev, python-support
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 11), python3-all-dev, dh-python
+Standards-Version: 3.9.6
 
 Package: libpacparser1
 Section: libs
@@ -30,7 +31,7 @@
 
 Package: libpacparser-dev
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libpacparser1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libpacparser1-dev
 Conflicts: libpacparser1-dev
 Architecture: any
@@ -51,11 +52,11 @@
  .
  This package contains the header files to build against the shared library.
 
-Package: python-pacparser
+Package: python3-pacparser
 Section: python
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Architecture: any
-Description: Python module to parse proxy auto-config files
+Description: Python 3 module to parse proxy auto-config files
  a library to parse proxy auto-config (PAC) files. Proxy auto-config files are
  a vastly used proxy configuration method these days. Web browsers can use a PAC
  file to determine which proxy server to use or whether to go direct for a given
@@ -70,4 +71,4 @@
  behind pacparser is to make it easy to add this PAC file parsing capability to
  any program (C and Python supported right now).
  .
- This package contains the Python bindings for the shared library
+ This package contains the Python 3 bindings for the shared library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build3vers := $(shell py3versions -sv)

# Build
build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	NO_INTERNET=yes $(MAKE) -C src
	NO_INTERNET=yes $(MAKE) -C src pymod
	set -e && for i in $(build3vers); do \
	  NO_INTERNET=yes $(MAKE) -C src pymod PYTHON=python$$i; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf src/pymod/build/
	$(MAKE) -C src clean
	dh_clean 

install:
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Install to debian/tmp
	NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
	set -e && for i in $(build3vers); do \
	  NO_INTERNET=yes $(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod EXTRA_ARGS=--install-layout=deb PYTHON=python$$i; \
	done

	dh_install -s --autodest
	dh_python3 -s

# Must not depend on anything. This is to be called by
# binary in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a -XREADME.win32
	dh_installexamples -plibpacparser1 -X*.py
	dh_installexamples -ppython3-pacparser -X*.c
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -X_pacparser.so
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-arch: binary
binary-indep: binary
binary: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

.PHONY: build build-indep build-arch install binary binary-common binary-indep binary-arch clean

## pacparser 1.4.3

=== src/Makefile ===
--- 
+++ 
@@ -22,9 +22,16 @@
 # packaging script.
 -include version.mk
 
+ifeq ($(shell uname),FreeBSD)
+SHELL := /usr/local/bin/bash
+else
+SHELL := /bin/bash
+endif
+
 VERSION ?= $(shell git describe --always --tags --candidate=100)
 
-PREFIX ?= /usr
+GIT_TAG := $(shell git describe --exact-match --exclude tip --tags HEAD 2>/dev/null || /bin/true)
+
 OS_ARCH := $(subst /,_,$(shell uname -s | sed /\ /s//_/))
 
 LIBRARY_NAME = libpacparser
@@ -40,65 +47,72 @@
 MKSHLIB = $(CC) -shared
 LIB_OPTS = -Wl,-soname=$(LIBRARY) -Wl,-exclude-libs=libjs.a
 SHFLAGS = -fPIC
-SMCFLAGS = -DHAVE_VA_COPY -DVA_COPY=__va_copy
+SMCFLAGS = -DHAVE_VA_COPY -DVA_COPY=va_copy
+
+ifeq ($(OS_ARCH),FreeBSD)
+	PREFIX ?= /usr/local
+endif
 
 ifeq ($(OS_ARCH),Darwin)
-  MAC_MINOR_VERSION := $(shell sw_vers -productVersion | cut -d. -f2)
-  MAC_GT_5 := $(shell [ $(MAC_MINOR_VERSION) -le 5 ] && echo false)
+  PREFIX ?= /usr/local
+  MAC_MAJOR_VERSION := $(shell sw_vers -productVersion | cut -d. -f1)
+  MAC_GT_OS11 := $(shell [ $(MAC_MAJOR_VERSION) -le 10 ] && echo false)
   SO_SUFFIX = dylib
   LIBRARY = $(LIBRARY_NAME).$(LIB_VER).$(SO_SUFFIX)
   MKSHLIB = $(CC) -dynamiclib -framework System
   LIB_OPTS = -install_name $(PREFIX)/lib/$(notdir $@)
   SHFLAGS =
-  ifeq ($(MAC_GT_5),false)
-    SMCFLAGS =
+  ifeq ($(MAC_GT_OS11),false)
+    MAC_MINOR_VERSION := $(shell sw_vers -productVersion | cut -d. -f2)
+    MAC_GT_10_5 := $(shell [ $(MAC_MINOR_VERSION) -le 5 ] && echo false)
+    ifeq ($(MAC_GT_10_5),false)
+      SMCFLAGS =
+    endif
   endif
 endif
 
-CFLAGS = -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
+PREFIX ?= /usr
+MAINT_CFLAGS := -g -DXP_UNIX -Wall -DVERSION=$(VERSION)
 
 ifndef PYTHON
   PYTHON = python
 endif
 
 # Spidermonkey library.
-CFLAGS += -Ispidermonkey/js/src
+MAINT_CFLAGS += -Ispidermonkey/js/src
 
 LIBRARY_LINK = $(LIBRARY_NAME).$(SO_SUFFIX)
 PREFIX := $(DESTDIR)$(PREFIX)
 LIB_PREFIX = $(PREFIX)/lib
 INC_PREFIX = $(PREFIX)/include
 BIN_PREFIX = $(PREFIX)/bin
+DOC_PREFIX = $(PREFIX)/share/doc/pacparser
 MAN_PREFIX = $(PREFIX)/share/man
 
 .PHONY: clean pymod install-pymod
 all: testpactester
 
-spidermonkey/js/src: spidermonkey/js-?.?.?.tar.gz
-	tar xzvf spidermonkey/js-?.?.?.tar.gz -C spidermonkey
-	sed -i -e 's:\(shell uname -s | sed /\\ /s//_/\):\1 | sed s,GNU.*,Linux,:g' spidermonkey/js/src/config.mk
-
 jsapi_buildstamp: spidermonkey/js/src
 	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jsapi
 	touch jsapi_buildstamp
 
-libjs.a: spidermonkey/js/src
+spidermonkey/libjs.a: spidermonkey/js/src
 	cd spidermonkey && SMCFLAGS="$(SHFLAGS) $(SMCFLAGS)" $(MAKE) jslib
 
 pacparser.o: pacparser.c pac_utils.h pacparser.h jsapi_buildstamp
-	$(CC) $(CFLAGS) $(SHFLAGS) -c pacparser.c -o pacparser.o
+	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(SHFLAGS) -c pacparser.c -o pacparser.o
 	touch pymod/pacparser_o_buildstamp
 
-$(LIBRARY): pacparser.o libjs.a
-	$(MKSHLIB) $(CFLAGS) $(LDFLAGS) $(LIB_OPTS) -o $(LIBRARY) pacparser.o libjs.a -lm
+$(LIBRARY): pacparser.o spidermonkey/libjs.a
+	$(MKSHLIB) $(MAINT_CFLAGS) $(CFLAGS) $(LDFLAGS) $(LIB_OPTS) -o $(LIBRARY) pacparser.o spidermonkey/libjs.a -lm
 
 $(LIBRARY_LINK): $(LIBRARY)
 	ln -sf $(LIBRARY) $(LIBRARY_LINK)
 
-pactester: pactester.c pacparser.h $(LIBRARY_LINK)
-	$(CC) $(CFLAGS) $(LDFLAGS) pactester.c -o pactester -lpacparser -L. -I.
+pactester: pactester.c pacparser.h pacparser.o spidermonkey/libjs.a
+	$(CC) $(MAINT_CFLAGS) $(CFLAGS) $(LDFLAGS) pactester.c pacparser.o spidermonkey/libjs.a -o pactester -lm -L. -I.
 
-testpactester: pactester
+testpactester: pactester $(LIBRARY_LINK)
 	echo "Running tests for pactester."
 	NO_INTERNET=$(NO_INTERNET) ../tests/runtests.sh
 
@@ -118,21 +132,33 @@
 	install -d $(MAN_PREFIX)/man3/
 	(test -d ../docs && install -m 644 ../docs/man/man3/*.3 $(MAN_PREFIX)/man3/) || true
 	# install html docs
-	install -d $(PREFIX)/share/doc/pacparser/html/
-	(test -d ../docs/html && install -m 644 ../docs/html/* $(PREFIX)/share/doc/pacparser/html/) || true
+	install -d $(DOC_PREFIX)/html/
+	(test -d ../docs/html && install -m 644 ../docs/html/* $(DOC_PREFIX)/html/) || true
 	# install examples
-	install -d $(PREFIX)/share/doc/pacparser/examples/
-	(test -d ../examples && install -m 644 ../examples/* $(PREFIX)/share/doc//pacparser/examples/) || true
+	install -d $(DOC_PREFIX)/examples/
+	(test -d ../examples && install -m 644 ../examples/* $(DOC_PREFIX)/examples/) || true
+
+dist: all
+	bindir=pacparser-$(VERSION)-$(DIST_OS_SUFFIX); \
+	bindir=$${bindir/-latest/}; \
+	PREFIX= $(MAKE) install DESTDIR=$${bindir}; \
+	zip -r $${bindir}.zip $${bindir}/.
 
 # Targets to build python module
-pymod: pacparser.o pacparser.h libjs.a
+pymod: pacparser.o pacparser.h spidermonkey/libjs.a
 	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py build
+	$(PYTHON) ../tests/runtests.py
+
+pymod-dist: pacparser.o pacparser.h spidermonkey/libjs.a
+	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py build
+	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py dist
 	$(PYTHON) ../tests/runtests.py
 
 install-pymod: pymod
 	cd pymod && ARCHFLAGS="" $(PYTHON) setup.py install --root="$(DESTDIR)/" $(EXTRA_ARGS)
 
 clean:
-	rm -f $(LIBRARY_LINK) $(LIBRARY) libjs.a pacparser.o pactester pymod/pacparser_o_buildstamp jsapi_buildstamp
-	cd pymod && python setup.py clean --all
+	rm -f $(LIBRARY_LINK) $(LIBRARY) pacparser.o pactester pymod/pacparser_o_buildstamp jsapi_buildstamp
+	rm -rf dist
+	cd pymod && $(PYTHON) setup.py clean --all
 	cd spidermonkey && $(MAKE) clean

=== debian/changelog ===
pacparser (1.4.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:14:37 +0000

pacparser (1.4.3-1) unstable; urgency=medium

  * Adopt package. (Closes: #1060891)
  * New upstream version 1.4.3.
  * CVE-2023-37360: Pacparser before 1.4.2 allows JS injection.
    (Closes: #1041425)
  * Patch for IndexError: list index out of range and build 
    errors + removed previous memory overwrite patch. (Closes: #1054725)
  * Bumped Standards-Version to 4.6.2.  
  * Removed d/compat 7 + switch to debhelper 13.
  * Updated d/rules to latest version.
  * Added source homepage, Vcs info, Rules-Requires-Root in d/control.
  * Bumped d/watch version to 4.
  * Added debian/latest to gpg.conf.
  * Removed README.win32 from d/docs.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 17 Jan 2024 19:00:00 +0000

pacparser (1.3.6-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2019-25078: Possible memory overwrite in pacparser_find_proxy()
    (Closes: #1026106)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Feb 2023 16:48:20 +0200

pacparser (1.3.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965765)

 -- Adrian Bunk <bunk@debian.org>  Mon, 25 Jul 2022 00:20:17 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: pacparser
 Section: libs
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Manu Garg <manugarg@gmail.com>
-Uploaders: Andrew Pollock <apollock@debian.org>
-Build-Depends: debhelper (>= 11), python3-all-dev, dh-python
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Alexandre Detiste <alexandre.detiste@gmail.com>,
+           Andrew Pollock <apollock@debian.org>,
+           Yogeswaran Umasankar <kd8mbd@gmail.com>
+Homepage: https://github.com/manugarg/pacparser
+Vcs-Git: https://salsa.debian.org/python-team/packages/pacparser.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pacparser
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python3-all-dev
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 
 Package: libpacparser1
 Section: libs

## pacparser 1.4.5

=== src/spidermonkey/Makefile ===
--- 
+++ 
@@ -21,16 +21,14 @@
 # Include config.mk to get the variable $(OBJDIR).
 # We need to create $(OBJDIR) first to be able to build libjs.a alone.
 
-ifneq ($(MAKECMDGOALS),clean)
-  DEPTH = js/src
-  include js/src/config.mk
-endif
+DEPTH = js/src
+include js/src/config.mk
 
 jsapi: js-buildstamp
 
 jslib: js-buildstamp
 	cd js/src
-	find . -name "libjs.a" -exec cp {} .. \;
+	find . -name "libjs.a" -exec cp {} . \;
 
 js-buildstamp:
 	mkdir -p js/src/$(OBJDIR)
@@ -39,5 +37,5 @@
 	touch js-buildstamp
 
 clean:
-	rm -rf js-buildstamp
-	rm -rf js
+	rm -rf js/src/$(OBJDIR)
+	rm -f libjs.a js-buildstamp

=== debian/changelog ===
pacparser (1.4.5-4build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:31:38 +0000

pacparser (1.4.5-4build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:37:51 +0000

pacparser (1.4.5-4build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:03 +0100

pacparser (1.4.5-4) unstable; urgency=medium

  * Fix SyntaxWarning (Closes: #1085763)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 22 Oct 2024 16:26:52 +0200

pacparser (1.4.5-3) unstable; urgency=medium

  * d/control: add python3-setuptools to B-Depends. (Closes: #1080912)
  * Routine update.

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 06 Sep 2024 05:34:00 +0000

pacparser (1.4.5-2) unstable; urgency=medium

  * Patch to fix ftbfs with GCC-14
    'd/patches/004_fix-GCC14-va.patch'. (Closes: #1075356)

 -- Yogeswaran Umasankar <yogu@debian.org>  Thu, 01 Aug 2024 05:10:00 +0000

pacparser (1.4.5-1) unstable; urgency=medium

  * New upstream version 1.4.5.
  * Updated 001_py3only.patch to fit new upstream version.
  * d/control: Bumped Standards-Version to 4.7.0 + Updated
    Uploaders.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sun, 30 Jun 2024 00:30:00 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk

PYVERSIONS = $(shell py3versions -vr)
VERSION=$(DEB_VERSION_EPOCH_UPSTREAM)
export NO_INTERNET=1

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build -- -C src VERSION=$(VERSION)

override_dh_install:
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install
	for py in $(PYVERSIONS); do \
		$(MAKE) -C src DESTDIR=$(CURDIR)/debian/tmp install-pymod \
			PACPARSER_VERSION=$(VERSION) \
			EXTRA_ARGS=--install-layout=deb \
			PYTHON=python$$py; \
	done
	dh_install

override_dh_auto_clean:
	$(MAKE) -C src clean
	rm -f src/spidermonkey/js/src/jsautocfg.h
	rm -rf src/pymod/build
	rm -rf src/pymod/pacparser.egg-info

=== debian/watch ===
version=4
https://github.com/manugarg/pacparser/tags .*/v(\d\S+)\.tar\.gz
